//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vhudson-jaxb-ri-2.1-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2013.09.25 at 11:29:15 AM COT 
//
package co.gov.igac.data.converted.xsd;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementRef;
import javax.xml.bind.annotation.XmlType;

/**
 * <p>
 * Java class for PredioConv complex type.
 *
 * <p>
 * The following schema fragment specifies the expected content contained within this class.
 *
 * <pre>
 * &lt;complexType name="PredioConv">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="areaConstruccion" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="areaTerreno" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="avaluo" type="{http://www.w3.org/2001/XMLSchema}double" minOccurs="0"/>
 *         &lt;element name="codDestino" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="codDpto" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="codMpio" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="construccion" type="{http://converted.data.igac.gov.co/xsd}ConstruccionType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="direccion" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="matricula" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="numPredialNuevo" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="numPredialAnterior" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="propietario" type="{http://converted.data.igac.gov.co/xsd}PropietarioType" maxOccurs="unbounded" minOccurs="0"/>
 *         &lt;element name="terreno" type="{http://converted.data.igac.gov.co/xsd}TerrenoType" maxOccurs="unbounded" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 *
 *
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "PredioConv", propOrder = {
    "areaConstruccion",
    "areaTerreno",
    "avaluo",
    "codDestino",
    "codDpto",
    "codMpio",
    "construccion",
    "direccion",
    "matricula",
    "numPredialNuevo",
    "numPredialAnterior",
    "propietario",
    "terreno"
})
public class PredioConv {

    protected Double areaConstruccion;
    protected Double areaTerreno;
    protected Double avaluo;
    @XmlElementRef(name = "codDestino", namespace = "http://converted.data.igac.gov.co/xsd", type =
        JAXBElement.class)
    protected JAXBElement<String> codDestino;
    @XmlElementRef(name = "codDpto", namespace = "http://converted.data.igac.gov.co/xsd", type =
        JAXBElement.class)
    protected JAXBElement<String> codDpto;
    @XmlElementRef(name = "codMpio", namespace = "http://converted.data.igac.gov.co/xsd", type =
        JAXBElement.class)
    protected JAXBElement<String> codMpio;
    @XmlElement(nillable = true)
    protected List<ConstruccionType> construccion;
    @XmlElementRef(name = "direccion", namespace = "http://converted.data.igac.gov.co/xsd", type =
        JAXBElement.class)
    protected JAXBElement<String> direccion;
    @XmlElementRef(name = "matricula", namespace = "http://converted.data.igac.gov.co/xsd", type =
        JAXBElement.class)
    protected JAXBElement<String> matricula;
    @XmlElementRef(name = "numPredialNuevo", namespace = "http://converted.data.igac.gov.co/xsd",
        type = JAXBElement.class)
    protected JAXBElement<String> numPredialNuevo;
    @XmlElementRef(name = "numPredialAnterior", namespace = "http://converted.data.igac.gov.co/xsd",
        type = JAXBElement.class)
    protected JAXBElement<String> numPredialAnterior;
    @XmlElement(nillable = true)
    protected List<PropietarioType> propietario;
    @XmlElement(nillable = true)
    protected List<TerrenoType> terreno;

    /**
     * Gets the value of the areaConstruccion property.
     *
     * @return possible object is {@link Double }
     *
     */
    public Double getAreaConstruccion() {
        return areaConstruccion;
    }

    /**
     * Sets the value of the areaConstruccion property.
     *
     * @param value allowed object is {@link Double }
     *
     */
    public void setAreaConstruccion(Double value) {
        this.areaConstruccion = value;
    }

    /**
     * Gets the value of the areaTerreno property.
     *
     * @return possible object is {@link Double }
     *
     */
    public Double getAreaTerreno() {
        return areaTerreno;
    }

    /**
     * Sets the value of the areaTerreno property.
     *
     * @param value allowed object is {@link Double }
     *
     */
    public void setAreaTerreno(Double value) {
        this.areaTerreno = value;
    }

    /**
     * Gets the value of the avaluo property.
     *
     * @return possible object is {@link Double }
     *
     */
    public Double getAvaluo() {
        return avaluo;
    }

    /**
     * Sets the value of the avaluo property.
     *
     * @param value allowed object is {@link Double }
     *
     */
    public void setAvaluo(Double value) {
        this.avaluo = value;
    }

    /**
     * Gets the value of the codDestino property.
     *
     * @return possible object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public JAXBElement<String> getCodDestino() {
        return codDestino;
    }

    /**
     * Sets the value of the codDestino property.
     *
     * @param value allowed object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public void setCodDestino(JAXBElement<String> value) {
        this.codDestino = ((JAXBElement<String>) value);
    }

    /**
     * Gets the value of the codDpto property.
     *
     * @return possible object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public JAXBElement<String> getCodDpto() {
        return codDpto;
    }

    /**
     * Sets the value of the codDpto property.
     *
     * @param value allowed object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public void setCodDpto(JAXBElement<String> value) {
        this.codDpto = ((JAXBElement<String>) value);
    }

    /**
     * Gets the value of the codMpio property.
     *
     * @return possible object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public JAXBElement<String> getCodMpio() {
        return codMpio;
    }

    /**
     * Sets the value of the codMpio property.
     *
     * @param value allowed object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public void setCodMpio(JAXBElement<String> value) {
        this.codMpio = ((JAXBElement<String>) value);
    }

    /**
     * Gets the value of the construccion property.
     *
     * <p>
     * This accessor method returns a reference to the live list, not a snapshot. Therefore any
     * modification you make to the returned list will be present inside the JAXB object. This is
     * why there is not a <CODE>set</CODE> method for the construccion property.
     *
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getConstruccion().add(newItem);
     * </pre>
     *
     *
     * <p>
     * Objects of the following type(s) are allowed in the list {@link ConstruccionType }
     *
     *
     */
    public List<ConstruccionType> getConstruccion() {
        if (construccion == null) {
            construccion = new ArrayList<ConstruccionType>();
        }
        return this.construccion;
    }

    /**
     * Gets the value of the direccion property.
     *
     * @return possible object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public JAXBElement<String> getDireccion() {
        return direccion;
    }

    /**
     * Sets the value of the direccion property.
     *
     * @param value allowed object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public void setDireccion(JAXBElement<String> value) {
        this.direccion = ((JAXBElement<String>) value);
    }

    /**
     * Gets the value of the matricula property.
     *
     * @return possible object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public JAXBElement<String> getMatricula() {
        return matricula;
    }

    /**
     * Sets the value of the matricula property.
     *
     * @param value allowed object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public void setMatricula(JAXBElement<String> value) {
        this.matricula = ((JAXBElement<String>) value);
    }

    /**
     * Gets the value of the numPredialNuevo property.
     *
     * @return possible object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public JAXBElement<String> getNumPredialNuevo() {
        return numPredialNuevo;
    }

    /**
     * Sets the value of the numPredialNuevo property.
     *
     * @param value allowed object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public void setNumPredialNuevo(JAXBElement<String> value) {
        this.numPredialNuevo = ((JAXBElement<String>) value);
    }

    /**
     * Gets the value of the numPredialAnterior property.
     *
     * @return possible object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public JAXBElement<String> getNumPredialAnterior() {
        return numPredialAnterior;
    }

    /**
     * Sets the value of the numPredialAnterior property.
     *
     * @param value allowed object is {@link JAXBElement }{@code <}{@link String }{@code >}
     *
     */
    public void setNumPredialAnterior(JAXBElement<String> value) {
        this.numPredialAnterior = ((JAXBElement<String>) value);
    }

    /**
     * Gets the value of the propietario property.
     *
     * <p>
     * This accessor method returns a reference to the live list, not a snapshot. Therefore any
     * modification you make to the returned list will be present inside the JAXB object. This is
     * why there is not a <CODE>set</CODE> method for the propietario property.
     *
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getPropietario().add(newItem);
     * </pre>
     *
     *
     * <p>
     * Objects of the following type(s) are allowed in the list {@link PropietarioType }
     *
     *
     */
    public List<PropietarioType> getPropietario() {
        if (propietario == null) {
            propietario = new ArrayList<PropietarioType>();
        }
        return this.propietario;
    }

    /**
     * Gets the value of the terreno property.
     *
     * <p>
     * This accessor method returns a reference to the live list, not a snapshot. Therefore any
     * modification you make to the returned list will be present inside the JAXB object. This is
     * why there is not a <CODE>set</CODE> method for the terreno property.
     *
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getTerreno().add(newItem);
     * </pre>
     *
     *
     * <p>
     * Objects of the following type(s) are allowed in the list {@link TerrenoType }
     *
     *
     */
    public List<TerrenoType> getTerreno() {
        if (terreno == null) {
            terreno = new ArrayList<TerrenoType>();
        }
        return this.terreno;
    }

}
